Name:		vaspview
Summary:	VASP Data Viewer
Version:	1.05
Release:	alt1_8
# http://vaspview.sourceforge.net/%{name}-%{version}-source.tar.gz
# Source below is the same as the original sans the two Win32 binaries in Win32/Release/
Source0:	%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Source2:	%{name}.png
URL:		http://vaspview.sourceforge.net/
License:	GPLv2+
Group:		Engineering
BuildRequires:	desktop-file-utils
BuildRequires:	libglut-devel
BuildRequires:	libXi-devel
BuildRequires:	libXmu-devel
BuildRequires:	libXext-devel
Source44: import.info

%description
This is a scientific visualization package for examining output files
generated by the Vienna Ab-initio Simulation Package, a package for
performing ab-initio quantum-mechanical molecular dynamics using
pseudopotentials and a plane wave basis set. The project was initiated
when a chemical engineering professor requested assitance in visualizing
output files produced by the above package. It displays iso-surfaces and
slices of a three-dimensional data set, along with the atoms that make
up the molecule the calculations were performed for, and allows symbolic
bonds to be inserted between them.

%prep
%setup -q -n %{name}

%build
pushd src
%{__make} %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS"
popd

%install

install -d %{buildroot}/%{_bindir}
install -pm755 bin/%{name} %{buildroot}/%{_bindir}

install -d %{buildroot}%{_datadir}/applications
desktop-file-install \
	--dir=%{buildroot}%{_datadir}/applications \
	%{SOURCE1}

install -d %{buildroot}/%{_datadir}/icons/hicolor/48x48/apps
install -pm644 %{SOURCE2} %{buildroot}/%{_datadir}/icons/hicolor/48x48/apps/%{name}.png

%files
%doc license.txt readme.txt
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/*.png

%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 1.05-alt1_8
- update to new release by fcimport

* Wed Jan 16 2013 Igor Vlasenko <viy@altlinux.ru> 1.05-alt1_7
- initial fc import

